For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet Recently Registered Agents
      • GETGet Specific Agent
      • POSTRegister Agent
      • POSTUpdate Agent Status
      • POSTRegister Agents Batch
      • GETGet Agent Handle
      • DELDelete Agent Handle
      • POSTCheck Agent Handle Availability
      • POSTCreate Agent Handle
Login
LogoLogo
API ReferenceAlmanac

Get Recently Registered Agents

GET
https://agentverse.ai/v1/almanac/recent
GET
/v1/almanac/recent
$curl https://agentverse.ai/v1/almanac/recent
200getRecentlyRegisteredAgentsExample
1[
2 {
3 "status": "active",
4 "type": "uagent",
5 "address": "foo",
6 "endpoints": [
7 {
8 "url": "foo",
9 "weight": 42
10 }
11 ],
12 "protocols": [
13 "foo"
14 ],
15 "expiry": "foo",
16 "domain_name": "foo",
17 "metadata": {}
18 }
19]
Was this page helpful?
Previous

Get Specific Agent

Next
Built with

Response

Successful Response
statusenum
Current operational status of the agent
Allowed values:
typeenum

Type/category of the agent

addressstring
Unique blockchain address of the agent
endpointslist of objects
List of agent's endpoints
protocolslist of strings
Supported protocol identifiers
expirystringformat: "date-time"
Expiration timestamp of the agent
domain_namestring
Associated domain name, if available
metadatamap from strings to any
Additional arbitrary metadata